Bug 834380 - /usr/lib/cups/filter/pstoraster crashed on signal 11!
/usr/lib/cups/filter/pstoraster crashed on signal 11!
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ghostscript (Show other bugs)
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Tim Waugh
QE Internationalization Bugs
Depends On:
  Show dependency treegraph
Reported: 2012-06-21 13:54 EDT by Forrest Taylor
Modified: 2014-10-23 04:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-10-23 04:15:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PPD file (122.66 KB, application/x-gzip)
2012-06-22 09:17 EDT, Forrest Taylor
no flags Details
test-case.tar.gz (561.11 KB, application/octet-stream)
2012-06-22 10:59 EDT, Tim Waugh
no flags Details

  None (edit)
Description Forrest Taylor 2012-06-21 13:54:28 EDT
Description of problem:
I just updated to RHEL 6.3 and when I try to print anything I get an error:

E [21/Jun/2012:13:27:39 -0400] PID 13259 (/usr/lib/cups/filter/pstoraster)
crashed on signal 11!

D [21/Jun/2012:13:27:39 -0400] [Job 1754]
printer-state-message="/usr/lib/cups/filter/pstoraster failed"

This is using an Epson Stylus Photo R300

If I rollback ghostscript, it works fine.

Version-Release number of selected component (if applicable):
  ghostscript.x86_64 0:8.70-14.el6

(ghostscript.x86_64 0:8.70-11.el6_2.6 works)

How reproducible:

Steps to Reproduce:
1. Install ghostscript.x86_64 0:8.70-14.el6
2. Print the test page or anything else.
Actual results:
Print failure

Additional info:

yum downgrade ghostscript got it working again.
Comment 2 Tim Waugh 2012-06-22 06:44:54 EDT
Please attach the PPD you are using (from the /etc/cups/ppd/ directory).
Comment 3 Forrest Taylor 2012-06-22 09:17:21 EDT
Created attachment 593747 [details]
PPD file

Here is the PPD file.

When I was first troubleshooting the issue, I created a new PPD file (using the GUI) to see if that helped (and it did not).  This PPD was created after installing all updates for RHEL6.3.
Comment 4 Tim Waugh 2012-06-22 10:59:42 EDT
Created attachment 593774 [details]

Thanks.  How to reproduce it:

PPD=Standard_color.ppd /usr/lib/cups/filter/pstoraster 1 me '' 1 '' pstops.ps >/dev/null
Comment 9 RHEL Product and Program Management 2013-10-14 00:54:23 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 RHEL Product and Program Management 2014-10-23 04:15:41 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.